from django.urls import path
from . import views


urlpatterns = [
    # LISTING
    path('my-invoices/', views.customer_invoices, name='customerinvoices'),
    path('products/', views.all_products, name='products'),
    path('my-orders/', views.customer_orders, name='customerorders'),


    # PRODUCTS URL
    path('osimenu-plans/', views.osimenu_plans, name='osimenuplans'),
    path('osicard-plans/', views.osicard_plans, name='osicardplans'),
    path('shared-hosting-plans/', views.shared_hosting_plans, name='sharedhostingplans'),
    path('cloud-vps-hosting-plans/', views.cloud_vps_hosting_plans, name='cloudvpshostingplans'),
    path('dedicated-servers-plans/', views.dedicated_servers_plans, name='dedicatedserversplans'),

    # PAYMENT
    path('payment/<int:item_id>/', views.payment, name='payment'),
    path('initiate_checkout/', views.initiate_checkout, name='initiatecheckout'),
    path('check-order-status/<str:merchant_id>/<str:order_id>/', views.check_order_status, name='check_order_status'),

    path('payment/osimenu-basic/', views.buy_free_osimenu, name='buyfreeosimenu'),
    path('payment/osicard-basic/', views.buy_free_osicard, name='buyfreeosicard'),
]
